import java.util.*;

// Classe de dfinition d'un rendez-vous
//
public class RendezVous implements Comparable
{
    // Les attributs d'un rendez-vous
    public String dateDebut;
    public String dateFin;
    public String lieu;
    public String objet;

    // Le constructeur qui cre un rendez-vous  partir
    //  de toutes les catactristiques 
    //
    public RendezVous(String dateDebut,
                      String dateFin,
                      String lieu,
                      String objet)
    {
        this.dateDebut = dateDebut;
        this.dateFin   = dateFin;
        this.lieu      = lieu;
        this.objet     = objet;
    }

    // Pour afficher un rendez-vous dans la console
    //
    public String toString()
    {
        return( this.dateDebut + "\n" +
                this.dateFin + "\n" +
                this.lieu + "\n" +
                this.objet );
    }
    
    // Mthode qui retourne en millisec la date de dbut du rdv
    //
    public long getTime()
    {
        String[] ts  = this.dateDebut.split(" ");
        String[] tsd = ts[0].split("/");
        String[] tst = ts[1].split(":");
        Calendar cal = Calendar.getInstance();
        cal.set(Integer.parseInt(tsd[2]),
                Integer.parseInt(tsd[1]),
                Integer.parseInt(tsd[0]),
                Integer.parseInt(tst[0]),
                Integer.parseInt(tst[1]),
                0);
        return(cal.getTimeInMillis());
    }

    // Pour pouvoir trier : rponse  2/
    //
    public int compareTo(Object o)
    {
        RendezVous rdv = (RendezVous)o;
        if (getTime()>rdv.getTime()) return(1);
        else if (getTime()<rdv.getTime()) return(-1);
        else return(0);
    }
}